path: /build/build/pyjwt-dev-python-2.9.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - sed -i -e 's|^S=.*|S="${WORKDIR}/pyjwt-2.9.0"|g' /var/git/meta-repo/kits/python-modules-kit/dev-python/pyjwt/pyjwt-2.9.0.ebuild
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pyjwt -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pyjwt
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pyjwt && luet-portage --dir /pkgdir/pyjwt
    dev-python/pyjwt && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:45ec65c16bbfcbad1487f2363e8d3f91664c5a011d9a67e203c6ca0d7b33d975
  package:
    name: pyjwt
    version: 2.9.0+1
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: JSON Web Token implementation in Python
    uri:
    - https://github.com/jpadilla/pyjwt https://pypi.org/project/PyJWT/
    license: MIT
    buildtimestamp: 2024-08-19 10:21:35.212236726 +0000 UTC m=+123.096598218
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python2_7? ( dev-python/pyjwt-compat ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 )
        python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pyjwt
      kit: python-modules-kit
      original.package.name: dev-python/pyjwt
      original.package.slot: "0"
      original.package.version: 2.9.0
    treedir: /build/packages
  package_dir: /pkgdir/pyjwt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1bd36bb6fbc5159eee23078e672a608abc552092ed97bdadea1a51aed704de3f
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/PyJWT-2.9.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/PyJWT-2.9.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/PyJWT-2.9.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/PyJWT-2.9.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/PyJWT-2.9.0-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/PyJWT-2.9.0-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/jwt/__init__.py
- usr/lib/python3.9/site-packages/jwt/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/algorithms.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/algorithms.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/algorithms.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jwk.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jwk.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jwk.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jws.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jws.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jws.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jwt.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jwt.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/api_jwt.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/exceptions.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/exceptions.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/exceptions.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/help.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/help.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/help.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/jwk_set_cache.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/jwk_set_cache.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/jwk_set_cache.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/jwks_client.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/jwks_client.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/jwks_client.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/types.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/types.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/types.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/warnings.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/warnings.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/jwt/__pycache__/warnings.cpython-39.pyc
- usr/lib/python3.9/site-packages/jwt/algorithms.py
- usr/lib/python3.9/site-packages/jwt/api_jwk.py
- usr/lib/python3.9/site-packages/jwt/api_jws.py
- usr/lib/python3.9/site-packages/jwt/api_jwt.py
- usr/lib/python3.9/site-packages/jwt/exceptions.py
- usr/lib/python3.9/site-packages/jwt/help.py
- usr/lib/python3.9/site-packages/jwt/jwk_set_cache.py
- usr/lib/python3.9/site-packages/jwt/jwks_client.py
- usr/lib/python3.9/site-packages/jwt/py.typed
- usr/lib/python3.9/site-packages/jwt/types.py
- usr/lib/python3.9/site-packages/jwt/utils.py
- usr/lib/python3.9/site-packages/jwt/warnings.py
- usr/share/doc/pyjwt-2.9.0/README.rst.bz2
- var/db/pkg/dev-python/pyjwt-2.9.0/BDEPEND
- var/db/pkg/dev-python/pyjwt-2.9.0/BUILD_TIME
- var/db/pkg/dev-python/pyjwt-2.9.0/CATEGORY
- var/db/pkg/dev-python/pyjwt-2.9.0/CBUILD
- var/db/pkg/dev-python/pyjwt-2.9.0/CFLAGS
- var/db/pkg/dev-python/pyjwt-2.9.0/CHOST
- var/db/pkg/dev-python/pyjwt-2.9.0/CONTENTS
- var/db/pkg/dev-python/pyjwt-2.9.0/COUNTER
- var/db/pkg/dev-python/pyjwt-2.9.0/CXXFLAGS
- var/db/pkg/dev-python/pyjwt-2.9.0/DEFINED_PHASES
- var/db/pkg/dev-python/pyjwt-2.9.0/DEPEND
- var/db/pkg/dev-python/pyjwt-2.9.0/DESCRIPTION
- var/db/pkg/dev-python/pyjwt-2.9.0/EAPI
- var/db/pkg/dev-python/pyjwt-2.9.0/FEATURES
- var/db/pkg/dev-python/pyjwt-2.9.0/HOMEPAGE
- var/db/pkg/dev-python/pyjwt-2.9.0/INHERITED
- var/db/pkg/dev-python/pyjwt-2.9.0/IUSE
- var/db/pkg/dev-python/pyjwt-2.9.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pyjwt-2.9.0/KEYWORDS
- var/db/pkg/dev-python/pyjwt-2.9.0/LDFLAGS
- var/db/pkg/dev-python/pyjwt-2.9.0/LICENSE
- var/db/pkg/dev-python/pyjwt-2.9.0/PF
- var/db/pkg/dev-python/pyjwt-2.9.0/RDEPEND
- var/db/pkg/dev-python/pyjwt-2.9.0/SIZE
- var/db/pkg/dev-python/pyjwt-2.9.0/SLOT
- var/db/pkg/dev-python/pyjwt-2.9.0/USE
- var/db/pkg/dev-python/pyjwt-2.9.0/environment.bz2
- var/db/pkg/dev-python/pyjwt-2.9.0/pyjwt-2.9.0.ebuild
- var/db/pkg/dev-python/pyjwt-2.9.0/repository
package_cacheimage: ""
runtime:
  name: pyjwt
  version: 2.9.0+1
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: JSON Web Token implementation in Python
  uri:
  - https://github.com/jpadilla/pyjwt https://pypi.org/project/PyJWT/
  license: MIT
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: dev-python/setuptools[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python2_7? ( dev-python/pyjwt-compat ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pyjwt
    kit: python-modules-kit
    original.package.name: dev-python/pyjwt
    original.package.slot: "0"
    original.package.version: 2.9.0
